%define		php_name	php%{?php_suffix}
%define		modname	rar
%define		status		stable
Summary:	%{modname} - read rar archives
Summary(pl.UTF-8):	%{modname} - odczyt archiwów rar
Name:		%{php_name}-pecl-%{modname}
Version:	3.0.2
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	3015ec07e0a42d2f365abed2fa3c0f6e
URL:		http://pecl.php.net/package/rar/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-rar < 3.0.2-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rar is a powerful and effective archiver, which was created by Eugene
Roshal and became rather popular quite fast. This extension gives you
possibility to read Rar archives.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rar to potężny i wydajny archiwizator. Został stworzony przez Eugene
Roshala i szybko zdobył popularność. Z pomocą tego rozszerzenia
możliwy jest odczyt archiwów Rar.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}*/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Fri May 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-rar.git;a=log;h=master

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 73db29e
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> bfee8c7
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> d62e805
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 9e439ac
- up to 3.0.2

* Fri Aug 02 2013 Marcin Krol <hawk@tld-linux.org> 715ff7a
- release 4 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 709921d
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c7e257c
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> eeef158
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> a7b16b4
- updated to 3.0.0

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 4e5b8ad
- BR: libstdc++-devel

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ef5cfaa
- release 2

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> cb3c779
- damn, there is 2.0.0 release too, pldnotify.awk got it wrong

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> e3a88fb
- 2.0.0b2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> d0255cf
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> c2d1435
- up to 1.0.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6565c23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45937d4
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 53dda1a
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 89c8c1b
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 123976f
- BR rpmmacros for fixed %requires_php_extension

